/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: AndroidPreferencesAdapter.java,v c4b8f1113ba0 2010/06/08 14:34:58 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.android.preferences;

import javax.annotation.Nonnull;
import org.openide.util.Lookup;
import it.tidalwave.mobile.preferences.PreferencesAdapter;
import android.content.SharedPreferences;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class AndroidPreferencesAdapter implements PreferencesAdapter
  {
    @Nonnull
    private final SharedPreferences preferences = Lookup.getDefault().lookup(SharedPreferences.class);

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public String getString (final @Nonnull String key, final @Nonnull String defaultValue)
      {
        return preferences.getString(key, defaultValue);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public boolean getBoolean (final @Nonnull String key, final boolean defaultValue)
      {
        return preferences.getBoolean(key, defaultValue);
      }
  }
